Show / Hide Table of Contents

# Class EmoteProperties

Provides properties that are used to modify an Emote with the specified changes.

##### Inheritance

System.Object
EmoteProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class EmoteProperties

### Properties

| Improve this Doc View Source

#### Name

Gets or sets the name of the Emote.

##### Declaration

    public Optional<string> Name { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

| Improve this Doc View Source

#### Roles

Gets or sets the roles that can access this Emote.

##### Declaration

    public Optional<IEnumerable<IRole>> Roles { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Collections.Generic.IEnumerable<IRole>> |

### See Also

ModifyEmoteAsync(GuildEmote, System.Action<EmoteProperties>, RequestOptions)